List DNS domains
A GET request to the /v1/dns/domains endpoint will show a list of your DNS domains. You can make the request more specific using the query parameters.
Authorization
bearerAuth In: header
Query Parameters
| Field | Details |
|---|---|
search_pattern? | stringThis pattern is used to return resources containing the parameter value in its name. |
label_selector? | stringThis parameter will filter results by labels. More details in the Labels section. |
delegation_status? | stringValue in: There are three domain delegation statuses:
|
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/dns/domains?label_selector=environment%3Dproduction"[ { "id": "open5Rd7", "name": "example-595.com", "email": "person-45@example.com", "ttl": 3600, "delegation_status": "delegated", "unpublish_date": null, "labels": { "environment": "production" }, "updated_at": "2025-12-31T00:00:00Z", "created_at": "2025-12-31T00:00:00Z" }]